Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Interface GlacierPolicy

All Known Implementing Classes:
  GlacierDefaultPolicy

    public interface GlacierPolicy

DESCRIBE THE INTERFACE

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Method Summary
`boolean` | `checkSignature(Manifest manifest, VersionKey key)` DESCRIBE THE METHOD
`Manifest[]` | `createManifests(VersionKey key, PastContent obj, Fragment[] fragments, long expiration)` DESCRIBE THE METHOD
`PastContent` | `decodeObject(Fragment[] fragments, Endpoint endpoint, PastContentDeserializer pcd)` DESCRIBE THE METHOD
`Fragment[]` | `encodeObject(PastContent obj, boolean[] generateFragment)` DESCRIBE THE METHOD
`void` | `prefetchLocalObject(VersionKey key, Continuation command)` DESCRIBE THE METHOD
`Manifest` | `updateManifest(VersionKey key, Manifest manifest, long newExpiration)` DESCRIBE THE METHOD

Method Detail

### checkSignature

    boolean checkSignature(Manifest manifest,
                           VersionKey key)

  DESCRIBE THE METHOD

  Parameters:
    `manifest` - DESCRIBE THE PARAMETER
    `key` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### encodeObject

    Fragment[] encodeObject(PastContent obj,
                            boolean[] generateFragment)

  DESCRIBE THE METHOD

  Parameters:
    `obj` - DESCRIBE THE PARAMETER
    `generateFragment` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### createManifests

    Manifest[] createManifests(VersionKey key,
                               PastContent obj,
                               Fragment[] fragments,
                               long expiration)

  DESCRIBE THE METHOD

  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `obj` - DESCRIBE THE PARAMETER
    `fragments` - DESCRIBE THE PARAMETER
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### updateManifest

    Manifest updateManifest(VersionKey key,
                            Manifest manifest,
                            long newExpiration)

  DESCRIBE THE METHOD

  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `manifest` - DESCRIBE THE PARAMETER
    `newExpiration` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### decodeObject

    PastContent decodeObject(Fragment[] fragments,
                             Endpoint endpoint,
                             PastContentDeserializer pcd)

  DESCRIBE THE METHOD

  Parameters:
    `fragments` - DESCRIBE THE PARAMETER
    `endpoint` - DESCRIBE THE PARAMETER
    `pcd` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### prefetchLocalObject

    void prefetchLocalObject(VersionKey key,
                             Continuation command)

  DESCRIBE THE METHOD

  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `command` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.